Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002169 [JEDI VCL] 00 JVCL Components minor always 2004-09-24 08:35 2004-10-14 13:27
Reporter westphal View Status public  
Assigned To user72
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002169: TJvLabel HotTrack failed to go back in normal font
Description If i open a new form in the onClick Event, the Mouseleave event is never sent, and the label stay in it's HotTrack state.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005255)
user72
2004-09-25 00:47

I can't reproduce it but it might have to do with the dialog. Try this as a workaround:

procedure TForm1.JvLabel1Click(Sender: TObject);
begin
  JvLabel1.Perform(CM_MOUSELEAVE, 0, 0);
  Form2.ShowModal; // show your form
end;
(0005274)
westphal (reporter)
2004-09-29 10:47

Hello,

Thank's, the ".Perform(CM_MOUSELEAVE, 0, 0);" trick works...

I did a very simple project to reproduce it and the bug come with the form.show; and not with the form.showmodal; strange...

procedure TForm1.JvLabel1Click(Sender: TObject);
begin
  JvLabel1.Perform(CM_MOUSELEAVE, 0, 0);
  Form2.Show; // show your form
end;
(0005299)
user72
2004-10-04 23:42

It has to do with the fact the CM_MOUSEENTER and CM_MOUSELEAVE is not guaranteed to be sent, so sometimes they are mismatched.

Can we close this now?
(0005376)
westphal (reporter)
2004-10-13 12:57

Thank you again, I think we can close it (and may be add your comment in the openhelp)
(0005390)
user72
2004-10-14 13:27

Will try to remember adding it to help somewhere

- Issue History
Date Modified Username Field Change
2004-09-24 08:35 westphal New Issue
2004-09-25 00:47 user72 Note Added: 0005255
2004-09-25 00:48 user72 Status new => feedback
2004-09-25 02:05 user72 Issue Monitored: user72
2004-09-29 10:47 westphal Note Added: 0005274
2004-09-29 10:47 westphal Issue Monitored: westphal
2004-10-04 23:42 user72 Note Added: 0005299
2004-10-13 12:57 westphal Note Added: 0005376
2004-10-14 13:27 user72 Status feedback => resolved
2004-10-14 13:27 user72 Resolution open => fixed
2004-10-14 13:27 user72 Assigned To => user72
2004-10-14 13:27 user72 Note Added: 0005390
2009-05-07 15:16 westphal Issue End Monitor: westphal


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker